
params.Fs=sampfreq;


[Fval,A,fqs,sig,sd]=ftestc(coeffs(:,1:recon_keep),params);

fs=Fval;

fs2=ones(size(fs));
fs2(find(fs>2*log10(frames)))=0;

figure;

index=1:recon_keep;
   

pcolor(index, fqs, fs2); shading flat; colormap gray;




ylabel('Frequency (Hz)');
xlabel('Principal Component Index');
title('Significant Frequencies');



clear fs fs2 params Fval A fqs sig sd index